Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.pdf.SignatureVerifyResult Class Reference
Inheritance diagram for foxit.pdf.SignatureVerifyResult:

## Public Types
enum | LTVState { LTVState.e_LTVStateInactive = 0, LTVState.e_LTVStateEnable = 1, LTVState.e_LTVStateNotEnable = 2 }
| Enumeration for LTV state that indicates if a signature is a LTV signature. More...

## Public Member Functions
| SignatureVerifyResult (SignatureVerifyResult other)
| Constructor, with another signature veirfy result object. More...
CertVerifyResultArray | GetCertificateVerifyResults ()
| Get certificate verify results. More...
SignatureVerifyResult.LTVState | GetLTVState ()
| Get LTV state that indicates if a signature is a LTV signature. More...
SignatureVerifyResultArray | GetOCSPSigantureVerifyResults ()
| Get signature verify results for OCSP signature of each certificate. More...
DateTime | GetSignatureCheckTime ()
| Get the time that is actually used to check signature. More...
LTVVerifier.TimeType | GetSignatureCheckTimeType ()
| Get the type of the time that is actually used to check siganture. More...
byte [] | GetSignatureHashValue ()
| Get signature hash value. More...
string | GetSignatureName ()
| Get signature name. More...
uint | GetSignatureState ()
| Get signature state. More...
SignatureVerifyResult | GetTSTSignatureVerifyResult ()
| Get the verify result of time stamp token of this signature. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...

## Detailed Description

This class represents signature verify result.

## Member Enumeration Documentation

## ◆ LTVState

enum foxit.pdf.SignatureVerifyResult.LTVState
| strong

Enumeration for LTV state that indicates if a signature is a LTV signature.

Values of this enumeration should be used alone.

Enumerator
e_LTVStateInactive | This means LTV is inactive.
e_LTVStateEnable | This means LTV is enabled.
e_LTVStateNotEnable | This means LTV is not enabled.

## Constructor & Destructor Documentation

## ◆ SignatureVerifyResult()

foxit.pdf.SignatureVerifyResult.SignatureVerifyResult | ( | SignatureVerifyResult | other | ) |
| inline

Constructor, with another signature veirfy result object.

Parameters

  [in] | other | Another signature veirfy result object.

## Member Function Documentation

## ◆ GetCertificateVerifyResults()

CertVerifyResultArray foxit.pdf.SignatureVerifyResult.GetCertificateVerifyResults | ( |  | ) |
| inline

Get certificate verify results.

Returns
  An array of certificate verify results.

## ◆ GetLTVState()

SignatureVerifyResult.LTVState foxit.pdf.SignatureVerifyResult.GetLTVState | ( |  | ) |
| inline

Get LTV state that indicates if a signature is a LTV signature.

Returns
  LTV state.

## ◆ GetOCSPSigantureVerifyResults()

SignatureVerifyResultArray foxit.pdf.SignatureVerifyResult.GetOCSPSigantureVerifyResults | ( |  | ) |
| inline

Get signature verify results for OCSP signature of each certificate.

Returns
  An array of signature verify results.

## ◆ GetSignatureCheckTime()

DateTime foxit.pdf.SignatureVerifyResult.GetSignatureCheckTime | ( |  | ) |
| inline

Get the time that is actually used to check signature.

Returns
  The time that is actually used to check signature. utc_hour_offset and utc_minite_offset of this time would be ignored.

## ◆ GetSignatureCheckTimeType()

LTVVerifier.TimeType foxit.pdf.SignatureVerifyResult.GetSignatureCheckTimeType | ( |  | ) |
| inline

Get the type of the time that is actually used to check siganture.

Returns
  Time type. Please refer to values starting from foxit.pdf.LTVVerifier.TimeType.e_SignatureCreationTime and this would be one of these values

## ◆ GetSignatureHashValue()

byte[] foxit.pdf.SignatureVerifyResult.GetSignatureHashValue | ( |  | ) |
| inline

Get signature hash value.

Returns
  Signature hash value.

## ◆ GetSignatureName()

string foxit.pdf.SignatureVerifyResult.GetSignatureName | ( |  | ) |
| inline

Get signature name.

Returns
  Signature name.

## ◆ GetSignatureState()

uint foxit.pdf.SignatureVerifyResult.GetSignatureState | ( |  | ) |
| inline

Get signature state.

Returns
  Signature state. Please refer to values starting from foxit.pdf.Signature.States.e_StateUnknown and this would be one or combination of them.

## ◆ GetTSTSignatureVerifyResult()

SignatureVerifyResult foxit.pdf.SignatureVerifyResult.GetTSTSignatureVerifyResult | ( |  | ) |
| inline

Get the verify result of time stamp token of this signature.

Returns
  Verify result of time stamp token of the signature. If the signature does not have any time stamp token, returned object would be an empty object which can be checked by function SignatureVerifyResult.IsEmpty .

## ◆ IsEmpty()

bool foxit.pdf.SignatureVerifyResult.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.